Can I install Node Version Manager on Glitch?

I want to use nvm instead of the built-in pnpm because Glitch doesn’t understand what version should the system use when there’s >= in node under engines or just I want to install the latest LTS version.

{
  "//1": "Below are lines 45 to 47 from https://github.com/thedevs-network/the-guard-bot/blob/develop/package.json",
  "engines": {
    "node": ">=12.3.1"
  }
}

So the question is: Can I install Node Version Manager in Glitch and if not, why?

Hm this might not be related but I believe (at least according to this page) that the highest version of Node.js Glitch supports is 12.0.0. So that version might not be possible on Glitch?

Yes you can install the Node Version Manager on glitch:

How to install node 13+ (Guide)

1 Like

Thanks, @17lwinn, for that answer.

1 Like

I would suggest to Glitch to make nvm built-in in the future to lessen the hassle of 90MB+ binary files consumed my project’s space.

It isn’t that big to be honest, but if you want to save space then you could write it into the tmp folder each startup.

1 Like